Contents
Index 🔎︎

# Informačné funkcie

Táto kategória obsahuje štatistické funkcie.

Pre prístup k tomuto príkazu...

Vložiť - Funkcia - Kategória Informácia

Údaje v následujúcej tabuľke slúžia ako základ pre niektoré príklady v popise funkcií.

| C | D
2 | x value | y value
3 | -5 | -3
4 | -2 | 0
5 | -1 | 1
6 | 0 | 3
7 | 2 | 4
8 | 4 | 6
9 | 6 | 8

## CELL

Vráti informáciu o adrese, formátovaniu alebo obsahu bunky.

#### Syntax

CELL("InfoType" [; Reference])

Informácia je reťazec znakov , ktorý špecifikuje typ informácií. Reťazec znakov je vždy v angličtine. Veľké alebo malé písmená sú voliteľné.

Informácia | Význam
--- | ---
COL | Vráti číslo odkazovaného stĺpca. =CELL("COL";D2) vracia 4.
ROW | Vráti číslo odkazovaného riadku. =CELL("ROW";D2) vracia 2.
SHEET | Vráti číslo odkazovaného listu. =CELL("Sheet";Sheet3.D2) vracia 3.
ADDRESS | Vráti absolútnu adresu odkazovanej bunky. =CELL("ADDRESS";D2) vracia $D$2. =CELL("ADDRESS";Sheet3.D2) vracia $Sheet3.$D$2. =CELL("ADDRESS";'X:\dr\test.ods'#$Sheet1.D2) returns 'file:///X:/dr/test.ods'#$Sheet1.$D$2.
FILENAME | Vráti názov súboru a číslo listu odkazovanej bunky. =CELL("FILENAME";D2) returns 'file:///X:/dr/own.ods'#$Sheet1, if the formula in the current document X:\dr\own.ods is located in Sheet1. =CELL("FILENAME";'X:\dr\test.ods'#$Sheet1.D2) returns 'file:///X:/dr/test.ods'#$Sheet1.
COORD | Returns the complete cell address in Lotus™ notation. =CELL("COORD"; D2) vracia $A:$D$2. =CELL("COORD"; Sheet3.D2) vracia $C:$D$2.
CONTENTS | Vráti obsah odkazovanej bunky bez akéhokoľvek formátovania.
TYPE | Vráti typ obsahu bunky: b = blank. empty cell l = label. Text, result of a formula as text v = value. Value, result of a formula as a number
WIDTH | Vráti šírku odkazovaného stĺpca. Vrátené číslo udáva počet číslic 0, ktoré môžu byť zadané do stĺpca vo východzej veľkosti východzieho typu písma.
PREFIX | Vráti podobu zarovnania odkazovanej bunky: ' = označuje zarovnanie vľavo " = označuje zarovnanie vpravo ^ = zarovnanie na stred \ = opakovanie (súčasne neaktívne)
PROTECT | Vráti informáciu o stave zamknutia bunky: 1 = bunka je zamknutá 0 = bunka nie je zamknutá
FORMAT | Vráti reťazec znakov označujúci formát čísla: , = number with thousands separator F = number without thousands separator C = formát meny S = exponenciálna reprezentácia, napr. 1,234+E56 P = percentá Vo formátoch vyššie je počet desatinných miest za oddeľovačom desatinných miest zadaný ako číslo. Napríklad číselný formát #,##0.0 vráti ,1 a číselný formát 00.000% vráti P3 D1 = D. MMM YYYY a podobné formáty D2 = DD-MM D3 = MM-YY D4 = DD-MM-YYYY HH:MM:SS D5 = MM-DD D6 = HH:MM:SS AM/PM D7 = HH:MM AM/PM D8 = HH:MM:SS D9 = HH:MM G = všetky ostatné formáty - (Mínus) na konci = záporné čísla sú zobrazované farebne () (zátvorky) na konci = kód formátu obsahuje ľavú zátvorku
COLOR | Vráti číslo 1, ak sú záporné hodnoty zobrazované farebne. Inak vráti číslo 0.
PARENTHESES | Vráti číslo 1, pokiaľ kód formátu obsahuje ľavú zátvorku (, inak vráti číslo 0.

Odkaz (zoznam volieb) je pozícia bunky k otestovaniu. Ak je Odkaz rozsah buniek, bunka sa presunie na hornú ľavú bunku oblasti. Pokiaľ Odkaz chýba, LibreOffice Calc použije pozíciu bunky, kde je umiestnený vzorec. Microsoft Excel používa odkaz na bunku, kde je umiestnený kurzor.

## CURRENT

Táto funkcia vracia výsledný dátum vyhodnotenia vzorca, ktorého je súčasťou (inými slovami výsledok, pokiaľ ho vyhodnotenie má). Hlavne sa používa spolu s funkciou STYLE() pre použitie vybraných štýlov na bunku závisiacu na jej obsahu

#### Syntax

CURRENT()

#### Example

=1+2+CURRENT()

Príklad vracia 6. Vzorec je počítaný zľava doprava takto: 1+ 2 rovná sa 3 a vracia výsledok do dátumu, kde je vložená funkcie CURRENT(). CURRENT() je teda výsledok 3, ktorý je pridaný k originálu 3 a vráti 6.

=A2+B2+STYLE(IF(CURRENT()>10;"Red";"Default"))

Príklad vracia A2+ B2 (STYLE tu vracia 0). Pokiaľ je táto suma väčšia než 10, červený štýl je použitý pre bunku. Pozri funkciu STYLE pre podrobnejšie informácie.

="choo"&CURRENT()

Príklad vracia choochoo.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.CURRENT

## FORMULA

Zobrazí vzorec bunky ako textový reťazec.

This function is always recalculated whenever a recalculation occurs.

#### Syntax

FORMULA(Odkaz)

Odkaz je odkazom na bunku obsahujúcu vzorce.

Neplatný odkaz alebo odkaz na bunku neobsahujúcu vzorec vracia chybovú hodnotu #N/A.

#### Example

Pokiaľ bunka A8 obsahuje vzorec =SUM(1;2;3), potom

=FORMULA(A8) vracia text =SUM(1;2;3).

## INFO

Vracia informácie o aktuálnom pracovnom prostredí. Funkcie prijme jeden textový argument a vráti dáta v závislosti na tomto parametri.

This function is always recalculated whenever a recalculation occurs.

#### Syntax

INFO("Typ")

The following table lists the values for the text parameter Type and the return values of the INFO function.

Hodnota pre "Typ" | Návratová hodnota
--- | ---
"osversion" | Z dôvodu kompatibility vždy "Windows (32-bit) NT 5.01"
"system" | The type of the operating system: "ANDROID" for Google mobile operating system "DRAGONFLY" for DragonFly operating system forked from FreeBSD "EMSCRIPTEN" for browser WebAssembly system "FREEBSD", "OPENBSD" or "NETBSD" for operating systems based on the Berkeley Software Distribution (BSD) "HAIKU" for BeOS compatible operating system "iOS" for Apple mobile operating system "LINUX" for GNU/Linux based operating systems "MACOSX" for Apple Mac OS X "SOLARIS" for Oracle Solaris operating system "WNT" for Microsoft Windows
"release" | The product release identifier, for example "300m25(Build:9876)"
"numfile" | Z dôvodu kompatibility vždy 1
"recalc" | Aktuálny režim prepočtu vzorcov, buď "Automatic" alebo "Manual" (lokalizované do jazyka LibreOffice)

Iný tabuľkový procesor môže pripúšťať lokalizované hodnoty pre parameter Typ, ale LibreOffice Calc pripúšťa len anglické hodnoty.

#### Example

=INFO("vydanie") vracia číslo vydania produktu používanej aplikácie LibreOffice.

=INFO(D5) with cell D5 containing a text string system returns the operation system type.

## ISBLANK

Vráti TRUE, ak je odkazovaná bunka prázdna. Táto funkcia sa používa pre zistenie, či je obsah bunky prázdny. Bunka so vzorcom nie je prázdna.

If an error occurs, the function returns a logical or numerical value.

#### Syntax

ISBLANK(Hodnota)

Hodnota je obsah pre testovanie.

#### Example

=ISBLANK(D2) vracia ako výsledok FALSE.

## ISERR

Kontroluje chybové hodnoty (okrem #N/A) a vracia TRUE alebo FALSE.

If an error occurs, the function returns a logical or numerical value.

#### Syntax

ISERR(Hodnota)

Hodnota je akákoľvek hodnota alebo výraz, kde má byť urobený test, či je to chybová hodnota (okrem #N/A).

#### Example

=ISERR(C8)kde bunka C8 obsahuje =1/0 a vracia TRUE, pretože 1/0 je chyba.

=ISERR(C9) kde bunka C9 obsahuje =NA() a vráti FALSE, pretože ISERR() ignoruje chybu #N/A .

## ISERROR

Kontroluje chybové hodnoty (vrátane #N/A) a vracia TRUE alebo FALSE.

If an error occurs, the function returns a logical or numerical value.

#### Syntax

ISERROR(Hodnota)

Hodnota je akákoľvek hodnota alebo výraz, kde má byť urobený test. SERROR() vráti TRUE, pokiaľ je hodnota chyba, inak vráti FALSE.

#### Example

=ISERROR(C8) kde bunka obsahuje =1/0 a vracia TRUE, pretože 1/0 je chyba.

=ISERROR(C9) kde bunka C9 obsahuje =NA() a vracia TRUE.

## ISERROR

Returns the value if the cell does not contain an error value, or the alternative value if it does.

This function is available since LibreOffice 4.0.

#### Syntax

IFERROR(Value; Alternate_value)

Value is the value or expression to be returned if it is not equal or results in an error.

Alternate_value is the value or expression to be returned if the expression or value of Value is equal or results in an error.

#### Example

=ISERROR(C8) kde bunka obsahuje =1/0 a vracia TRUE, pretože 1/0 je chyba.

=ISERROR(C8) kde bunka obsahuje =1/0 a vracia TRUE, pretože 1/0 je chyba.

## ISEVEN

Vráti TRUE, ak je hodnota celé párne číslo, alebo FALSE, ak je celé nepárne.

#### Syntax

ISEVEN(hodnota)

Hodnota je hodnota, ktorá bude testovaná.

Ak nie je hodnota celé číslo, číslice za desatinnou čiarkou budú zanedbané. Znamienko hodnoty je tiež ignorované.

#### Example

=ISEVEN(48) vráti TRUE

=ISEVEN(33) vráti FALSE

=ISEVEN(0) vráti TRUE

=ISEVEN(-2.1) vráti TRUE

=ISEVEN(3.999) vráti FALSE

## ISEVEN_ADD

Testuje párne čísla. Vráti 1, ak je číslo bez zvyšku deliteľné dvomi.

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

#### Syntax

ISEVEN_ADD(Číslo)

Číslo je číslo, ktoré bude testované.

#### Example

=ISEVEN_ADD(5) vracia 0.

=ISEVEN_ADD(A1) vracia 1, pokiaľ bunka A1 obsahuje číslo 2.

## ISFORMULA

Vráti TRUE, pokiaľ bunka obsahuje vzorec.

If an error occurs, the function returns a logical or numerical value.

#### Syntax

ISFORMULA(Odkaz)

Odkaz je odkaz na bunku, v ktorej sa má zistiť, či obsahuje odkaz.

#### Example

=ISFORMULA(C4) vracia FALSE, pokiaľ bunka C4 obsahuje číslo 5.

## ISLOGICAL

Testuje, či ide o logickú hodnotu (TRUE alebo FALSE).

Pokiaľ dôjde k chybe, funkcia vracia FALSE.

#### Syntax

ISLOGICAL(Hodnota)

Vráti TRUE, pokiaľ je Hodnota logickou hodnotou (TRUE alebo FALSE), inak vráti FALSE.

#### Example

=ISLOGICAL(99) vracia FALSE, pretože 99 je číslo a nie logická hodnota.

=ISLOGICAL(ISNA(D4))vracia TRUE na čokoľvek, čo obsahuje bunka D4, pretože ISNA() vracia logickú hodnotu.

## ISNA

Vracia TRUE, pokiaľ bunka obsahuje chybovú hodnotu #N/A (hodnota nie je k dispozícii).

Pokiaľ dôjde k chybe, funkcia vracia FALSE.

#### Syntax

ISNA(Hodnota)

Hodnota je hodnota alebo výraz určený k testovaniu.

#### Example

=ISNA(D3) vracia ako výsledok FALSE.

## ISNA

Returns the value if the cell does not contain the #N/A (value not available) error value, or the alternative value if it does.

This function is available since LibreOffice 4.0.

#### Syntax

IFNA(Value; Alternate_value)

Value is the value or expression to be returned if it is not equal or results in an #N/A error.

Alternate_value is the value or expression to be returned if the expression or value of Value is equal or results in an #N/A error.

#### Example

=IFNA(D3;D4) returns the value of D3 if D3 does not result in an #N/A error, or D4 if it does.

## ISNONTEXT

Testuje, či bunky obsahujú text alebo čísla. Pokiaľ obsahuje text, vráti FALSE.

Pokiaľ dôjde k chybe, funkcia vráti TRUE.

#### Syntax

ISNONTEXT(Hodnota)

Hodnota je akákoľvek hodnota alebo výraz, kde sa má zistiť, či je výsledkom textová hodnota.

#### Example

=ISNONTEXT(D2) vracia FALSE, pokiaľ bunka D2 obsahuje text abcdef.

=ISNONTEXT(D9) vracia TRUE, pokiaľ bunka D9 obsahuje číslo 8.

## ISNUMBER

Vráti TRUE, ak je hodnota číslo.

If an error occurs, the function returns a logical or numerical value.

#### Syntax

ISNUMBER(Hodnota)

Hodnota je akýkoľvek výraz, u ktorého sa má zistiť, či ide o číslo alebo text.

#### Example

=ISNUMBER(C3) vráti TRUE , pokiaľ bunka C3 obsahuje číslo 4.

=ISNUMBER(C2) vráti FALSE, pokiaľ bunka C2 obsahuje text abcdef.

## ISODD

Vráti TRUE, ak je hodnota celé nepárne číslo, alebo FALSE, ak je celé párne.

#### Syntax

ISODD(Hodnota)

Hodnota je hodnota, ktorá bude testovaná.

Ak nie je hodnota celé číslo, číslice za desatinnou čiarkou budú zanedbané. Znamienko hodnoty je tiež ignorované.

#### Example

=ISODD(33) vráti TRUE

=ISODD(48) vráti FALSE

=ISODD(3.999) vráti TRUE

=ISODD(-3.1) vráti TRUE

## ISODD_ADD

Vráti TRUE (1), pokiaľ číslo nie je bez zvyšku deliteľné dvomi.

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

#### Syntax

ISODD_ADD(Číslo)

Číslo je číslo, ktoré bude testované.

#### Example

=ISODD_ADD(5) vracia 1.

## ISREF

Testuje, či je obsah jednej alebo viac buniek odkaz. Vráti TRUE, pokiaľ je argument odkaz, inak vráti FALSE. Pokiaľ je funkcii predaný odkaz, funkcia neskúma hodnotu odkazu.

If an error occurs, the function returns a logical or numerical value.

#### Syntax

ISREF(Hodnota)

Hodnota je hodnota, u ktorej má byť zistené, či je to odkaz.

#### Example

=ISREF(C5) vracia výsledok TRUE, pretože C5 je platný odkaz.

=ISREF("abcdef") vracia vždy FALSE, pretože text nikdy nemôže byť odkaz.

=ISREF(4) vracia FALSE.

=ISREF(INDIRECT("A6")) vracia TRUE, pretože INDIRECT je funkcia, ktorá vracia odkaz.

=ISREF(ADDRESS(1; 1; 2;"Sheet2")) vracia FALSE, pretože ADDRESS je funkcia, ktorá vracia text, aj keď vyzerá ako odkaz.

## ISTEXT

Vráti TRUE, ak je hodnota text.

Pokiaľ dôjde k chybe, funkcia vracia FALSE.

#### Syntax

ISTEXT(Hodnota)

Hodnota je hodnota, ktorá sa má otestovať - text, číslo, logická hodnota alebo chybová hodnota.

#### Example

=ISTEXT(D9) vracia TRUE, pokiaľ bunka D9 obsahuje text abcdef.

=ISTEXT(C3) vracia FALSE, pokiaľ bunka C3 obsahuje číslo 3.

## N

Returns the numeric value of the given parameter. Returns 0 if parameter is text or FALSE.

If an error occurs the function returns the error value.

#### Syntax

N(Hodnota)

Value is the parameter to be converted into a number. N() returns the numeric value if it can. It returns the logical values TRUE and FALSE as 1 and 0 respectively. It returns text as 0.

#### Example

=N(123) vráti 123

=N(TRUE) vráti 1

=N(FALSE) vráti 0

=N("abc") vráti 0

=N(1/0) vráti #DIV/0!

## NA

Vráti chybovú hodnotu #N/A.

#### Syntax

NA()

#### Example

=NA() konvertuje obsah bunky na #N/A.

## TYPE

Returns the type of value, where 1 = number, 2 = text, 4 = Boolean value, 8 = formula, 16 = error value, 64 = array.

If an error occurs, the function returns a logical or numerical value.

#### Syntax

TYPE(Hodnota)

Value is a specific value for which the data type is determined.

### Príklad (pozri tabuľku vyššie)

=TYPE(C2) vracia ako výsledok 2.

=TYPE(D9) vracia ako výsledok 1.

Related Topics

Functions by Category